"""Postscript to text file converter for Document Library"""

from os import popen, remove, rename

content_type = 'application/postscript'

content_description = 'Adobe Postscript Document'

# Uses the prescript program available at:
# http://www.nzdl.org/html/prescript.html
# Requires write access to /tmp

def convert(documentFile):
    """Convert postscript data to raw text"""
    
    tmp_name = documentFile._writeToTempFile()
    rename(tmp_name, tmp_name + '.ps')
    tmp_name = tmp_name + '.ps'
    text = popen('prescript plain %s - 2> /dev/null' % tmp_name).read()
    remove(tmp_name)
    
    return text
